Index: /branches/mountain_lake/src/world_entities/environments/mapped_water.cc
===================================================================
--- /branches/mountain_lake/src/world_entities/environments/mapped_water.cc	(revision 8866)
+++ /branches/mountain_lake/src/world_entities/environments/mapped_water.cc	(revision 8867)
@@ -63,4 +63,5 @@
   delete shineSize_uni;
   delete shineStrength_uni;
+  delete reflStrength_uni;
   delete refr_uni;
 }
@@ -75,5 +76,5 @@
   this->setWaterSize(100, 100);
   this->setWaterUV(9);
-  this->setWaterFlow(0.08);
+  this->setWaterFlow(0.08f);
   this->setLightPos(0, 10, 0);
   this->setWaterAngle(0);
@@ -81,5 +82,6 @@
   this->setWaterColor(0.1f, 0.2f, 0.4f);
   this->setShineSize(128);
-  this->setShineStrength(0.7);
+  this->setShineStrength(0.7f);
+  this->setReflStrength(1.0f);
   this->setRefraction(0.009f);
 
@@ -160,4 +162,7 @@
   shineStrength_uni = new Shader::Uniform(shader, "shineStrength");
   shineStrength_uni->set(this->shineStrength);
+  // Set the variable "reflStrength"
+  reflStrength_uni = new Shader::Uniform(shader, "reflStrength");
+  reflStrength_uni->set(this->reflStrength);
   // Set the variable "refraction"
   refr_uni = new Shader::Uniform(shader, "kRefraction");
@@ -227,4 +232,19 @@
   // Set the variable "shine"
   shineStrength_uni->set(this->shineStrength);
+
+  this->shader->deactivateShader();
+}
+
+/**
+ * @brief resets the strength of the reflection in the Shader
+ * @param strength new value for the strength of the reflection
+ */
+void MappedWater::resetReflStrength(float strength)
+{
+  this->shader->activateShader();
+  this->reflStrength = strength;
+
+  // Set the variable "shine"
+  reflStrength_uni->set(this->reflStrength);
 
   this->shader->deactivateShader();
@@ -281,4 +301,5 @@
   LoadParam(root, "shinesize", this, MappedWater, setShineSize);
   LoadParam(root, "shinestrength", this, MappedWater, setShineStrength);
+  LoadParam(root, "reflstrength", this, MappedWater, setReflStrength);
   LoadParam(root, "refraction", this, MappedWater, setRefraction);
 }
Index: /branches/mountain_lake/src/world_entities/environments/mapped_water.h
===================================================================
--- /branches/mountain_lake/src/world_entities/environments/mapped_water.h	(revision 8866)
+++ /branches/mountain_lake/src/world_entities/environments/mapped_water.h	(revision 8867)
@@ -12,6 +12,7 @@
   <waterangle>0</waterangle>
   <normalmapscale>0.25</normalmapscale><!-- you won't see a big differnce if you change that -->
-  <shineSize>128</shineSize><!-- the bigger the value, the smaller the specular reflection point -->
-  <shineStrength>0.7</shineStrength>
+  <shinesize>128</shinesize><!-- the bigger the value, the smaller the specular reflection point -->
+  <shinestrength>0.7</shinestrength>
+  <reflstrength>1</reflstrength>
   <refraction>0.009</refraction>
   <watercolor>0.1, 0.2, 0.4</watercolor>
@@ -55,4 +56,5 @@
   void setShineSize(float shine) { this->shineSize = shine; }
   void setShineStrength(float strength) { this->shineStrength = strength; }
+  void setReflStrength(float strength) { this->reflStrength = strength; }
   void setRefraction(float refraction) { this->refraction = refraction; }
   void setWaterColor(float r, float g, float b) { this->waterColor = Vector(r,g,b); this->newWaterColor = this->waterColor; }
@@ -63,4 +65,5 @@
   void resetShineSize(float shine);
   void resetShineStrength(float strength);
+  void resetReflStrength(float strength);
   void resetRefraction(float refraction);
   void resetLightPos(float x, float y, float z);
@@ -96,4 +99,5 @@
   float               shineSize;              //!< the bigger the value, the smaller the specular reflection point
   float               shineStrength;
+  float               reflStrength;
   float               refraction;
 
@@ -107,4 +111,5 @@
   Shader::Uniform*    shineStrength_uni;      //!< uniform that is used for the strenght of the specular reflection
   Shader::Uniform*    refr_uni;               //!< uniform that is used for the strength of the refraction
+  Shader::Uniform*    reflStrength_uni;       //!< uniform that is used for the strength of the reflection
 
 
